package com.hd.live.wall.wallpapers.act;

import android.content.Intent;
import android.os.CountDownTimer;
import android.view.View;

import com.hd.live.wall.wallpapers.base.BasisActivity;
import com.hd.live.wall.wallpapers.databinding.ActivityWelBinding;

public class ActivityWel extends BasisActivity<ActivityWelBinding> {

    private static final long SPLASH_TIME_OUT = 2000L;
    private CountDownTimer countDownTimer;

    @Override
    protected ActivityWelBinding getViewBinding() {
        return ActivityWelBinding.inflate(getLayoutInflater());
    }

    @Override
    protected void onCreateInit() {
        countDownTimer = new CountDownTimer(SPLASH_TIME_OUT,100) {
            @Override
            public void onTick(long millisUntilFinished) {
                float v = 100 - (float) millisUntilFinished / SPLASH_TIME_OUT * 100;
                int v1 = (int) v;
                vb.progressBar.setProgress(v1);
            }

            @Override
            public void onFinish() {
                vb.progressBar.setProgress(100);
                Intent intent = new Intent(ActivityWel.this, ActivityMain.class);
                startActivity(intent);
                finish();
            }
        };
        countDownTimer.start();
    }

    @Override
    protected void onInitClick() {

    }

    @Override
    public boolean isFullScreen() {
        return true;
    }

    @Override
    public boolean statusBarLight() {
        return true;
    }

    @Override
    public void onClick(View view) {

    }

    @Override
    protected void onDestroy() {
        super.onDestroy();
        if(countDownTimer!= null){
            countDownTimer.cancel();
            countDownTimer = null;
        }
    }
}